Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ComponentObjectImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.server.NamedObjectImpl
oracle.jbo.server.ComponentObjectImpl`

All Implemented Interfaces:
  ComponentObject, Properties, VariableManagerOwner

Direct Known Subclasses:
  ContainerObjectImpl, EntityReference, ViewLinkImpl, ViewObjectImpl

public abstract class ComponentObjectImpl
extends NamedObjectImpl
implements ComponentObject, VariableManagerOwner

Abstract class for ComponentObjectImpl. Users need to extend this class to plug generic components in Business Components for Java Framework

Field Summary

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`ComponentObjectImpl()`

Method Summary
`void` | `addListener(ComponentObjectListener listener)` Add a listener for the Component Object
`protected void` | `create()`
`static ComponentObjectImpl` | `createRef(java.lang.String name, oracle.jbo.server.DefObject bo)`
`VariableValueManager` | `ensureVariableManager()` Returns this object's Variable Value Manager.
`ApplicationModule` | `getApplicationModule()` Gets the Application Module.
`protected java.util.Vector` | `getCompListeners()` Gets the list of component Object listeners.
`protected com.sun.java.util.collections.ArrayList` | `getCompListenersList()` Gets the list of component Object listeners.
`java.lang.String` | `getDefFullName()` Gets the Full Name of the Def Object.
`java.lang.String` | `getDefName()` Gets the name of the Def Object.
`java.lang.Class` | `getMessageBundleClass()`
`java.lang.String` | `getProxyClassName()` Gets the Proxy class name for the corresponding deployment platform.
`protected java.lang.String` | `getProxyClassName(java.lang.String platform)` Gets the proxy class name for a deplyoment platform.
`ApplicationModuleImpl` | `getRootApplicationModule()` Gets the root application module implementation.
`VariableValueManager` | `getVariableManager()` Returns this object's current Variable Value Manager.
`boolean` | `hasVariables()` Returns a flag indicating whether this object has Variables or not.
`boolean` | `isDead()`
`boolean` | `isRegWithPiggyMan()` Is component registered with Piggy back Manager
`void` | `remove()` Deletes this component.
`protected void` | `setName(java.lang.String name)` Name this object.
`protected void` | `setParent(NamedObjectImpl parent)` Sets this object's parent.
`protected void` | `setProxyClassName(java.lang.String platform, java.lang.String proxyClassName)` Set the name value pair for internal map

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`setParent, setPropertiesMap`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.ComponentObject
`getFullName, getName`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Constructor Detail

### ComponentObjectImpl

    public ComponentObjectImpl()

Method Detail

### getCompListenersList

    protected com.sun.java.util.collections.ArrayList getCompListenersList()

  Gets the list of component Object listeners.
  Returns:
    Vector for the list of listeners

### getCompListeners

    protected java.util.Vector getCompListeners()

  Gets the list of component Object listeners.
  Returns:
    Vector for the list of listeners

### getRootApplicationModule

    public final ApplicationModuleImpl getRootApplicationModule()

  Gets the root application module implementation.
  Returns:
    ApplicationModuleImpl

### createRef

    public static ComponentObjectImpl createRef(java.lang.String name,
                                                oracle.jbo.server.DefObject bo)

  Parameters:
    `name` - the reference object name.
    `bo` - the object to be referenced.
  Returns:
    the reference object created.

### create

    protected void create()

### getDefName

    public java.lang.String getDefName()

  Gets the name of the Def Object.
  Specified by:
    `getDefName` in interface `ComponentObject`
  Returns:
    Name of the Def Object

### getDefFullName

    public java.lang.String getDefFullName()

  Gets the Full Name of the Def Object.
  Specified by:
    `getDefFullName` in interface `ComponentObject`
  Returns:
    a class name.

### remove

    public void remove()

  Deletes this component.
  Specified by:
    `remove` in interface `ComponentObject`

### isDead

    public boolean isDead()

### getProxyClassName

    public java.lang.String getProxyClassName()

  Gets the Proxy class name for the corresponding deployment platform.
  Returns:
    the String proxy class name

### getApplicationModule

    public ApplicationModule getApplicationModule()

  Gets the Application Module.
  Returns:
    ApplicationModule

### getProxyClassName

    protected java.lang.String getProxyClassName(java.lang.String platform)

  Gets the proxy class name for a deplyoment platform.
  Parameters:
    `platform` - deployment platform
  Returns:
    name of the proxy class

### setProxyClassName

    protected void setProxyClassName(java.lang.String platform,
                                     java.lang.String proxyClassName)

  Set the name value pair for internal map
  Parameters:
    `platform` - the name of the platform as a String.
    `proxyClassName` - the name of the proxy class as a String.

### isRegWithPiggyMan

    public boolean isRegWithPiggyMan()

  Is component registered with Piggy back Manager
  Returns:
    boolean

### addListener

    public void addListener(ComponentObjectListener listener)

  Add a listener for the Component Object
  Parameters:
    `listener` - a listener for the component object

### setName

    protected void setName(java.lang.String name)

  Name this object.
  Overrides:
    `setName` in class `NamedObjectImpl`
  Parameters:
    `name` - the name to be given to this object.

### setParent

    protected void setParent(NamedObjectImpl parent)

  Sets this object's parent.
  Parameters:
    `parent` - the named object that is to be the parent of this object.

### getVariableManager

    public VariableValueManager getVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's current Variable Value Manager. It will return `null` if Variable Value Manager has been initialized.

  When a framework object is first created, its Variable Value Manager may be null. This method does not initialize (create) the Variable Value Manager.

  ``VariableManagerOwner.ensureVariableManager()`` in contrast, ensures that the Variable Value Manager is initialized (created).

  Specified by:
    `getVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's current Variable Value Manager. May return `null` if one was not yet initialized.

### hasVariables

    public boolean hasVariables()

  Description copied from interface: `VariableManagerOwner`
  Returns a flag indicating whether this object has Variables or not.
  Specified by:
    `hasVariables` in interface `VariableManagerOwner`
  Returns:
    the flag indicating whether this object has Variables.

### ensureVariableManager

    public VariableValueManager ensureVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's Variable Value Manager. If this object current has no Variable Value Manager, it will initialize (create) one.
  Specified by:
    `ensureVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's Variable Value Manager. Will create a Variable Value Manager if this object had no Variable Value Manager.

### getMessageBundleClass

    public java.lang.Class getMessageBundleClass()

  Specified by:
    `getMessageBundleClass` in interface `VariableManagerOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.